Subject: Re: bug#57789: Emacs 28.1 clone build with native compilation crashes on s390x

From: Stefan Kangas <[email-masked]>
Date: Wed, 1 Jan 2025 19:07:55 -0600

Stefan Kangas <[email-masked]> writes:

> tags 57789 + moreinfo
> thanks
>
> Andrea Corallo <[email-masked]> writes:
>
>> Rob Browning <[email-masked]> writes:
>>
>>> Eli Zaretskii <[email-masked]> writes:
>>>
>>>> Once you know which staticpro is being processed here, we'd need to
>>>> examine its contents and try to figure out which parts cause the crash
>>>> in GC.
>>>
>>> Thanks, and I'll try to look in to this further when I have time.  For
>>> now I'm changing the debian packages to avoid native compilation on some
>>> architectures (currently mips64el[1] and s390x).
>>>
>>> [1] There ./configure fails at the moment with "Error: -march=mips1 is
>>>     not compatible with the selected ABI" when testing libgccjit.
>>>     That's on eller.debian.org (mipsel host in a mips64el schroot).
>>
>> Hi Rob,
>>
>> any progress with this investigation?  Is the bug still reproducible
>> with a recent codebase?
>
> Ping.  Rob, any updates here?

Friendly ping.  Were you able to reproduce this with a recent Emacs?